package cn.m15.xys;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;

public class Bullet {

	/** ӵXٶ **/
	static final int BULLET_STEP_X = 3;

	/** ӵYٶ **/
	static final int BULLET_STEP_Y = 30;

	/** ӵͼƬĿ **/
	static final int BULLET_WIDTH = 40;

	/** ӵXY **/
	public int m_posX = 0;
	public int m_posY = 0;

	/** ӵĶ **/
	private Animation mAnimation = null;

	/** Ƿ»ӵ **/
	boolean mFacus = false;

	Context mContext = null;

	public Bullet(Context context, Bitmap[] frameBitmap) {
		mContext = context;
		mAnimation = new Animation(mContext, frameBitmap, true);
	}

	/** ʼ **/
	public void init(int x, int y) {
		m_posX = x;
		m_posY = y;
		mFacus = true;
	}

	/** ӵ **/
	public void DrawBullet(Canvas Canvas, Paint paint) {
		if (mFacus) {
			mAnimation.DrawAnimation(Canvas, paint, m_posX, m_posY);
		}
	}

	/** ӵ **/
	public void UpdateBullet() {
		if (mFacus) {
			m_posY -= BULLET_STEP_Y;
		}

	}

}
